## shaarli 0.0.41~beta~dfsg2

=== debian/changelog ===
shaarli (0.0.41~beta~dfsg2-4) unstable; urgency=low

  * Fix multiple XSS in index.php (CVE-2013-7351) (Closes: #743252)
      This is already fixed upstream:
      https://github.com/sebsauvage/Shaarli/issues/134
  * Update Standards-Version to 3.9.5

 -- Emilien Klein <emilien+debian@klein.st>  Tue, 01 Apr 2014 21:26:06 +0200

shaarli (0.0.41~beta~dfsg2-3) unstable; urgency=low

  * Remove check to see if own directory is readable (check was only
    partially removed)
  * Solve various Lintian warnings and info:
    - field-name-typo-in-dep5-copyright
    - vcs-field-not-canonical
    - unused-license-paragraph-in-dep5-copyright

 -- Emilien Klein <emilien+debian@klein.st>  Mon, 07 Oct 2013 22:12:34 +0200

shaarli (0.0.41~beta~dfsg2-2) unstable; urgency=low

  * improved the file d/copyright, thanks to Luca Flavigna's remarks

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 01 Jun 2013 16:53:09 +0200

shaarli (0.0.41~beta~dfsg2-1) unstable; urgency=low

  [ Emilien Klein ]
  * Initial release (Closes: #654814 and #709644)

  [ Georges Khaznadar ]
  * Updated Maintainer: and Uploaders: fields in d/control

 -- Emilien Klein <emilien+debian@klein.st>  Sun, 26 May 2013 22:36:57 +0200
