=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_fixperms:
	dh_fixperms
	# The files in the released tarball are set to executable (source is
	# released from Windows)
	chmod 644 debian/shaarli/usr/share/shaarli/images/*
	chmod 644 debian/shaarli/usr/share/shaarli/inc/*
	chmod 644 debian/shaarli/usr/share/shaarli/tpl/*
	chmod 644 debian/shaarli/usr/share/shaarli/index.php

%:
	dh $@
