=== debian/watch ===
version=3

opts=dversionmangle=s/~beta~dfsg\d+$/beta/ \
  http://sebsauvage.net/wiki/doku.php?id=php:shaarli http://sebsauvage.net/files/shaarli_(.*)\.zip
