## shaarli 0.0.42~beta~dfsg1

=== debian/changelog ===
shaarli (0.0.42~beta~dfsg1-2ubuntu1) xenial; urgency=medium

  * Update to PHP7.0 dependencies (LP: #1565159).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Fri, 01 Apr 2016 17:04:41 -0700

shaarli (0.0.42~beta~dfsg1-2) unstable; urgency=low

  * Fix permissions on cache and data folders (Closes: #773039)
  * Fix previous changelog entry, indicating upstream change

 -- Emilien Klein <emilien+debian@klein.st>  Sat, 13 Dec 2014 16:40:35 +0100

shaarli (0.0.42~beta~dfsg1-1) unstable; urgency=low

  * New upstream version
  * d/control and d/watch: The upstream source was changed from Seb Sauvage's
      inactive repository [0] to the community-maintained repository [1].
      [0] https://github.com/sebsauvage/Shaarli
      [1] https://github.com/shaarli/Shaarli
  * d/control:
      - Depend on javascript-common to serve the JavaScript libraries
      - Update Standards-Version to 3.9.6
  * d/copyright:
      - Mention the licenses of the Javascript libraries
      - Rename BSD to BSD-3-clause
  * d/patches/remove-qr.js-library.patch: Remove the JavaScript code using
      the qr.js library, based on concerns on potential license issues.
      See https://github.com/neocotic/qr.js/issues/23 for detail.
  * d/patches/fix-bug-743252-CVE-2013-7351: Remove patch for #743252, as it is
      included upstream
  * d/patches/javascript-libraries.patch: Update due to upstream changes where
      JavaScript libraries are used

 -- Emilien Klein <emilien+debian@klein.st>  Sun, 26 Oct 2014 23:21:49 +0100

shaarli (0.0.41~beta~dfsg2-5) unstable; urgency=low

  [ Emilien Klein ]
  * Move Apache config file from /etc/shaarli/apache.conf to
    /etc/apache2/conf-available/shaarli.conf

  [ Georges Khaznadar ]
  * added a build-dependency on apache2-dev
  * added "--with apache2" in d/rules; Closes: #743336

 -- Emilien Klein <emilien+debian@klein.st>  Wed, 23 Jul 2014 20:51:16 +0200
