=== debian/control ===
Source: shaarli
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Emilien Klein <emilien+debian@klein.st>
Uploaders: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper (>= 8.0.0), apache2-dev
Standards-Version: 3.9.6
Homepage: https://github.com/shaarli/Shaarli
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/shaarli.git
Vcs-Git: git://anonscm.debian.org/collab-maint/shaarli.git

Package: shaarli
Architecture: all
Depends: libapache2-mod-php | libapache2-mod-phpfilter | php-cgi | php-fpm | php,
         php-gd,
         javascript-common,
         libjs-jquery,
         libjs-jquery-ui,
         libjs-jquery-lazyload,
         raintpl,
         ${misc:Depends}
Recommends: apache2 | httpd, ${misc:Recommends}
Description: Personal, minimalist, super-fast and no-database Delicious clone
 Saving simple links should not be a complicated heavy thing. Shaarli
 is simple, but it does the job and does it well. And your data is not
 hosted on a foreign server, but on your server.
