=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/shaarli-$1\.tar\.gz/,dversionmangle=s/~beta~dfsg\d+$/beta/ \
  https://github.com/shaarli/Shaarli/tags .*/v?(\d\S*)\.tar\.gz
