## shaarli 0.12.0+dfsg

=== debian/changelog ===
shaarli (0.12.0+dfsg-3) unstable; urgency=low

  * Compile scss and add build dependencies
  * Use purecss from sass-stylesheets-purecss
  * Use vendored pure-extras
  * Use installed fork-awesome fonts (Closes: #980134)

 -- James Valleroy <jvalleroy@mailbox.org>  Fri, 03 Sep 2021 19:21:13 -0400

shaarli (0.12.0+dfsg-2) unstable; urgency=low

  * Upload to unstable
  * Fix tests during package build
  * Run webpack during build but ignore errors
  * webpack: Use uglifyjs instead of terser
  * testHumanBytes: Skip 2 GiB test on 32-bit systems
  * Set standards version to 4.5.1

 -- James Valleroy <jvalleroy@mailbox.org>  Wed, 13 Jan 2021 20:48:01 -0500

shaarli (0.12.0+dfsg-1) experimental; urgency=medium

  * Import new upstream release v0.12.0
  * d/control: Clarify short description
  * d/README.source: Update instructions for new upstream release
  * d/patches: Update patches to apply to 0.12.0 upstream
  * Remove obsolete lintian override
  * d/install: Install .htaccess
  * Remove LimitExcept from top level .htaccess
  * Rename patches to have consecutive order
  * d/control: Add php-ldap dependency
  * Update skipped tests under root user

 -- James Valleroy <jvalleroy@mailbox.org>  Thu, 12 Nov 2020 09:13:48 -0500

shaarli (0.11.1+dfsg-1) experimental; urgency=medium

  * Initial release (Closes: #864559).

 -- James Valleroy <jvalleroy@mailbox.org>  Sun, 11 Oct 2020 09:23:56 -0400
