=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

%:
	dh $@ --with apache2 --with phpcomposer

override_dh_auto_build:
	phpab \
		--output autoload.php \
		--template debian/autoload.php.tpl \
		*.php application plugins
	mkdir --parents vendor
	phpab \
		--output vendor/autoload.php \
		--template debian/autoload.php.tpl \
		*.php application tests plugins
	make translate
	make htmldoc
	mkdir --parents assets/default/css
	sass assets/default/scss/shaarli.scss > assets/default/css/shaarli.css
	# Ignore errors due to missing dependencies.
	webpack || true
