## shaarli 0.12.1%2Bdfsg

=== debian/changelog ===
shaarli (0.12.1+dfsg-8+deb12u2) bookworm-security; urgency=medium

  * Add patch to fix stored XSS via tag suggestions
    (Closes: #1126554, CVE-2026-24476)

 -- James Valleroy <jvalleroy@mailbox.org>  Fri, 06 Feb 2026 10:19:00 -0500

shaarli (0.12.1+dfsg-8+deb12u1) bookworm; urgency=medium

  * Add patch to fix CVE-2025-55291 (Closes: #1111589)

 -- James Valleroy <jvalleroy@mailbox.org>  Sat, 30 Aug 2025 09:48:22 -0400

shaarli (0.12.1+dfsg-8) unstable; urgency=medium

  * Allow AuthConfig in .htaccess
  * Create link for cache folder (Closes: #1029921)

 -- James Valleroy <jvalleroy@mailbox.org>  Sun, 29 Jan 2023 07:36:49 -0500

shaarli (0.12.1+dfsg-7) unstable; urgency=medium

  * Add copyright info for pure-extras
  * webpack: css-loader: Disable url() resolving
  * Add symlinks to font files (Closes: #1027401)

 -- James Valleroy <jvalleroy@mailbox.org>  Sat, 14 Jan 2023 20:42:54 -0500

shaarli (0.12.1+dfsg-6) unstable; urgency=medium

  * Cherry-pick date view fix from upstream

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 31 Oct 2022 21:59:59 -0400

shaarli (0.12.1+dfsg-5) unstable; urgency=medium

  * Install docs
  * Limit output of apache-test

 -- James Valleroy <jvalleroy@mailbox.org>  Sun, 16 Oct 2022 09:07:31 -0400

shaarli (0.12.1+dfsg-4) unstable; urgency=medium

  * d/tests: Add apache test
  * Update debian/* copyright year

 -- James Valleroy <jvalleroy@mailbox.org>  Wed, 05 Oct 2022 06:50:31 -0400

shaarli (0.12.1+dfsg-3) unstable; urgency=medium

  * mkdocs: Change pages to nav
  * Drop patch 0010-webpack-Use-uglifyjs-instead-of-terser (Closes: #1011447)
  * webpack: Resolve from system install paths
  * Set standards version to 4.6.1

 -- James Valleroy <jvalleroy@mailbox.org>  Fri, 27 May 2022 09:12:44 -0400

shaarli (0.12.1+dfsg-2) unstable; urgency=medium

  * Skip test that depends on DNS setup

 -- James Valleroy <jvalleroy@mailbox.org>  Sat, 15 Jan 2022 10:07:12 -0500

shaarli (0.12.1+dfsg-1) unstable; urgency=medium

  * d/README.source: Checkout upstream before merge
  * New upstream version 0.12.1+dfsg
  * Update patches for v0.12.1
  * Build-Depend on php-malkusch-lock
  * Build-Depend on php-parsedown-extra
  * Skip more tests that require Internet access
  * Add override for php-klogger
  * Skip additional tests due to root user
  * Skip tests that depend on working directory
  * Build-Depend on node-he
  * Don't ignore errors when running webpack
  * Move history into /var/lib/shaarli
  * Specify locale when running tests
  * Skip testReadNotReadable test

 -- James Valleroy <jvalleroy@mailbox.org>  Fri, 07 Jan 2022 12:08:25 -0500

shaarli (0.12.0+dfsg-4) unstable; urgency=medium

  * Fix doc build using upstream patch (Closes: #997328)
  * d/control: Set standards version to 4.6.0

 -- James Valleroy <jvalleroy@mailbox.org>  Sat, 06 Nov 2021 12:16:57 -0400
