=== debian/control ===
--- 
+++ 
@@ -13,17 +13,20 @@
                node-babel-loader,
                node-css-loader,
                node-file-loader,
+               node-he,
                node-mini-css-extract-plugin,
-               node-uglifyjs-webpack-plugin,
+               node-terser-webpack-plugin,
                php-arthurhoaro-web-thumbnailer,
                php-curl,
                php-gd,
                php-intl,
                php-ldap,
+               php-malkusch-lock,
                php-mbstring,
                php-netscape-bookmark-parser,
                php-oscarotero-gettext,
                php-parsedown,
+               php-parsedown-extra,
                php-pubsubhubbub-publisher,
                php-slim,
                phpab,
@@ -32,7 +35,7 @@
                ruby-sass,
                sass-stylesheets-purecss,
                webpack
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/shaarli/Shaarli
 Vcs-Browser: https://salsa.debian.org/php-team/pear/shaarli
 Vcs-Git: https://salsa.debian.org/php-team/pear/shaarli.git
