=== debian/rules ===
--- 
+++ 
@@ -18,5 +18,4 @@
 	make htmldoc
 	mkdir --parents assets/default/css
 	sass assets/default/scss/shaarli.scss > assets/default/css/shaarli.css
-	# Ignore errors due to missing dependencies.
-	webpack || true
+	webpack
