=== debian/tests/control ===
Tests: upstream-tests
Depends: phpab, phpunit, sudo, @
Restrictions: needs-root

Tests: apache-test
Depends: apache2, sudo, wget, @
Restrictions: needs-root
