## shaarli 0.13.0%2Bdfsg

=== debian/changelog ===
shaarli (0.13.0+dfsg-2) unstable; urgency=medium

  * postinst: Enable apache rewrite module (Closes: #1032919)
  * tests: Check install page messages
  * Remove compiling message for blhc
  * links: Link forkawesome fonts into assets folder
  * Update copyright year

 -- James Valleroy <jvalleroy@mailbox.org>  Fri, 09 Feb 2024 16:16:03 -0500

shaarli (0.13.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.13.0+dfsg (Closes: #1043259)
  * Refresh patches
  * Add build-deps for sphinx document generation
  * Apply upstream patch for PHP 8.x intl incompatibility
  * Add dependency on php-klogger
  * Remove obsolete patches
  * d/clean: Specify css directory
  * Remove .doctrees folder after building docs
  * Re-number patches
  * Drop fonts that are packaged separately
  * Depend on fonts-fork-awesome (Closes: #1040575)
  * Links to packaged Roboto fonts
  * Link to packaged sphinx JS files
  * Set standards version to 4.6.2
  * Update d/copyright
  * Minify qrcode JS during build (Closes: #1032920)

 -- James Valleroy <jvalleroy@mailbox.org>  Fri, 15 Dec 2023 11:46:30 -0500
