=== debian/changelog ===
shaarli (0.13.0+dfsg-5) unstable; urgency=medium

  * Team upload
  * Modernize PHPUnit syntax

 -- David Prévot <taffit@debian.org>  Fri, 21 Mar 2025 15:32:20 +0100

shaarli (0.13.0+dfsg-4) unstable; urgency=medium

  * Team upload

  [ James Valleroy ]
  * Clean sass cache and qrcode
  * Make test providers static

  [ David Prévot ]
  * Group nophpunit11 for test failing with PHPUnit 11 (Closes: #1039855)
  * Rename PluginQrcodeTest as PluginReadItLaterTest (PHPUnit 11 fix)

 -- David Prévot <taffit@debian.org>  Wed, 15 Jan 2025 10:45:56 +0100

shaarli (0.13.0+dfsg-3) unstable; urgency=medium

  * Team upload
  * Force system dependencies loading

 -- David Prévot <taffit@debian.org>  Thu, 07 Mar 2024 17:48:27 +0100
