=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Build-Depends: apache2-dev,
                debhelper-compat (= 13),
                fonts-fork-awesome,
+               furo,
                gettext,
                libjs-awesomplete,
                libjs-blazy,
-               mkdocs,
                node-babel-loader,
                node-css-loader,
                node-file-loader,
@@ -20,6 +20,7 @@
                php-curl,
                php-gd,
                php-intl,
+               php-klogger,
                php-ldap,
                php-malkusch-lock,
                php-mbstring,
@@ -32,10 +33,14 @@
                phpab,
                phpunit,
                pkg-php-tools,
+               python3-myst-parser,
+               python3-sphinx,
+               python3-sphinx-design,
                ruby-sass,
                sass-stylesheets-purecss,
+               uglifyjs,
                webpack
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/shaarli/Shaarli
 Vcs-Browser: https://salsa.debian.org/php-team/pear/shaarli
 Vcs-Git: https://salsa.debian.org/php-team/pear/shaarli.git
@@ -43,7 +48,9 @@
 
 Package: shaarli
 Architecture: all
-Depends: gettext,
+Depends: fonts-fork-awesome,
+         fonts-roboto-fontface,
+         gettext,
          javascript-common,
          libapache2-mod-php | php-cgi | php-fpm | php,
          libjs-jquery,
@@ -52,8 +59,10 @@
          php-curl,
          php-gd,
          php-intl,
+         php-klogger,
          php-ldap,
          php-mbstring,
+         sphinx-doc,
          ${misc:Depends},
          ${phpcomposer:Debian-require}
 Recommends: apache2 | httpd, ${misc:Recommends}
