=== debian/changelog ===
shaarli (0.14.0+dfsg-2) trixie; urgency=medium

  * Add patch to fix CVE-2025-55291 (Closes: #1111589)

 -- James Valleroy <jvalleroy@mailbox.org>  Sat, 30 Aug 2025 07:45:06 -0400

shaarli (0.14.0+dfsg-1) unstable; urgency=medium

  [ William Desportes ]
  * New upstream version 0.14.0
  * Import the GPG key of nodiscc from GitHub
  * d/watch: Import all and filter out .git*
  * Remove the Roboto-* fonts from the source tarballs
  * Refresh patches
  * Bump Standards-Version to 4.7.2
  * Mark "Multi-Arch: foreign"

  [ James Valleroy ]
  * Add +dfsg to upstream version

 -- James Valleroy <jvalleroy@mailbox.org>  Tue, 15 Apr 2025 14:31:42 -0400
