=== debian/control ===
--- 
+++ 
@@ -40,7 +40,7 @@
                sass-stylesheets-purecss,
                uglifyjs,
                webpack
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/shaarli/Shaarli
 Vcs-Browser: https://salsa.debian.org/php-team/pear/shaarli
 Vcs-Git: https://salsa.debian.org/php-team/pear/shaarli.git
@@ -48,6 +48,7 @@
 
 Package: shaarli
 Architecture: all
+Multi-Arch: foreign
 Depends: fonts-fork-awesome,
          fonts-roboto-fontface,
          gettext,
