=== debian/watch ===
version=4
opts="mode=git, gitexport=all, pgpmode=gittag, dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//" \
https://github.com/shaarli/Shaarli.git \
refs/tags/v([\d\.]+) debian uupdate
