## shaarli 0.15.0%2Bdfsg

=== debian/tests/control ===
Tests: upstream-tests
Depends: phpab, phpunit (>= 11), sudo, @
Restrictions: needs-root

Tests: apache-test
Depends: apache2, sudo, wget, @
Restrictions: needs-root
