## shaarli 0.15.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -76,17 +76,13 @@
 	@$(BIN)/phpunit --coverage-php coverage/main.cov --bootstrap tests/bootstrap.php --testsuite unit-tests
 
 locale_test_%:
-	@UT_LOCALE=$*.utf8 \
+	@LANG=$*.utf8 \
 		$(BIN)/phpunit \
 		--coverage-php coverage/$(firstword $(subst _, ,$*)).cov \
 		--bootstrap tests/languages/bootstrap.php \
 		--testsuite language-$(firstword $(subst _, ,$*))
 
 all_tests: test locale_test_de_DE locale_test_en_US locale_test_fr_FR
-	@# --The current version is not compatible with PHP 7.2
-	@#$(BIN)/phpcov merge --html coverage coverage
-	@# --text doesn't work with phpunit 4.* (v5 requires PHP 5.6)
-	@#$(BIN)/phpcov merge --text coverage/txt coverage
 
 ### download 3rd-party PHP libraries, including dev dependencies
 composer_dependencies_dev: clean
