=== debian/changelog ===
shaarli (0.15.0+dfsg-1) unstable; urgency=high

  * New upstream version 0.15.0 (Closes: #1111589, CVE-2025-55291)
  * Update patches

 -- James Valleroy <jvalleroy@mailbox.org>  Fri, 22 Aug 2025 07:20:50 -0400
