=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,12 @@
 		*.php application tests plugins
 	make translate
 	make htmldoc
+	rm \
+		doc/html/_static/doctools.js \
+		doc/html/_static/language_data.js \
+		doc/html/_static/searchtools.js \
+		doc/html/_static/sphinx_highlight.js
 	mkdir --parents assets/default/css
 	sass assets/default/scss/shaarli.scss > assets/default/css/shaarli.css
 	webpack
+	uglifyjs plugins/qrcode/qr-1.1.3.js > plugins/qrcode/qr-1.1.3.min.js
