=== debian/changelog ===
shaarli (0.16.1+dfsg-1) unstable; urgency=medium

  * Change debian branch name to debian/latest
  * Update debian/watch to Version 5
  * signing-key: Concatenate blocks, as instructed by uscan
  * d/control: Remove options that are now default
  * d/copyright: Update copyright year for debian/*
  * d/clean: Clean up generated files (Closes: #1048094)
  * d/postinst: Only enable apache mod rewrite if not already enabled
    (Closes: #1116936)
  * d/watch: Add Repacksuffix
  * d/copyright: Drop jquery excluded file, no longer shipped upstream
  * New upstream version 0.16.1+dfsg (Closes: #1126554, CVE-2026-24476)

 -- James Valleroy <jvalleroy@mailbox.org>  Sat, 31 Jan 2026 09:33:15 -0500
