=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: shaarli
 Section: web
-Priority: optional
 Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: James Valleroy <jvalleroy@mailbox.org>
 Build-Depends: apache2-dev,
@@ -44,7 +43,6 @@
 Homepage: https://github.com/shaarli/Shaarli
 Vcs-Browser: https://salsa.debian.org/php-team/pear/shaarli
 Vcs-Git: https://salsa.debian.org/php-team/pear/shaarli.git
-Rules-Requires-Root: no
 
 Package: shaarli
 Architecture: all
