=== debian/watch ===
Version: 5

Source: https://github.com/shaarli/Shaarli.git
Matching-Pattern: refs/tags/v([\d\.]+)
Dversionmangle: s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//
Repacksuffix: +dfsg
Gitexport: all
Mode: git
Pgpmode: gittag
Update-Script: uupdate
